For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
        • GETList SCIM Directories
        • POSTCreate SCIM Directory
        • GETGet SCIM Directory
        • PATCHUpdate SCIM Directory
        • POSTRotate SCIM Directory Bearer Token
Login
Logo
API ReferenceManagement APIScim Directories

Rotate SCIM Directory Bearer Token

POST
https://api.ssoready.com/v1/scim-directories/:id/rotate-bearer-token
POST
/v1/scim-directories/:id/rotate-bearer-token
$curl -X POST https://api.ssoready.com/v1/scim-directories/id/rotate-bearer-token \
> -H "Authorization: Bearer <apiKey>"
200Successful
1{
2 "bearerToken": "bearerToken"
3}
Rotates a SCIM directory's bearer token. Every SCIM directory has a bearer token that SSOReady uses to authenticate requests sent from your customer's Identity Provider. These bearer tokens are assigned by SSOReady, and are secret. Newly-created SCIM directories do not have any bearer token at all; you must use this endpoint to get an initial value. Rotating a SCIM directory bearer token immediately invalidates the previous bearer token, if any. Your customer will need to update their SCIM configuration with the new value to make SCIM syncing work again. SSOReady only stores the hash of these bearer tokens. If your customer has lost their copy, you must use this endpoint to generate a new one.
Was this page helpful?
Previous

Create Setup URL

Next
Built with

Rotates a SCIM directory’s bearer token.

Every SCIM directory has a bearer token that SSOReady uses to authenticate requests sent from your customer’s Identity Provider. These bearer tokens are assigned by SSOReady, and are secret. Newly-created SCIM directories do not have any bearer token at all; you must use this endpoint to get an initial value.

Rotating a SCIM directory bearer token immediately invalidates the previous bearer token, if any. Your customer will need to update their SCIM configuration with the new value to make SCIM syncing work again.

SSOReady only stores the hash of these bearer tokens. If your customer has lost their copy, you must use this endpoint to generate a new one.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the SCIM directory whose bearer token to rotate.

Response

OK
bearerTokenstring
The new, updated bearer token. Do not log or store this bearer token. It is an authentication token that your customer should securely input into their Identity Provider.